<?php
function isSMTPBlocked($host, $port) {
    $timeout = 5; // Время ожидания подключения в секундах

    $socket = fsockopen($host, $port, $errno, $errstr, $timeout);
    if ($socket) {
        fclose($socket);
        return false; // Соединение успешно установлено, SMTP-трафик не блокируется
    } else {
        return true; // Не удалось установить соединение, SMTP-трафик блокируется
    }
}

$host = 'smtp.mail.ru';
$port = 25;

if (isSMTPBlocked($host, $port)) {
    echo 'Исходящий SMTP-трафик блокируется';
} else {
    echo 'Исходящий SMTP-трафик не блокируется';
}
?>